<?php

namespace Abc\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NothingTransformer extends TransformerAbstract
{
    public function transform(\Abc\Test\Models\Nothing $nothing)
    {
        return [
            'id'                => $nothing->getRouteKey(),
            'key'               => [
                'public'    => $nothing->getPublicKey(),
                'route'     => $nothing->getRouteKey(),
            ], 
            'id'                => $nothing->id,
            'name'              => $nothing->name,
            'subject'           => $nothing->subject,
            'mark'              => $nothing->mark,
            'created_at'        => $nothing->created_at,
            '6)'                => $nothing->6),
            'updated_at'        => $nothing->updated_at,
            'deleted_at'        => $nothing->deleted_at,
            'url'               => [
                'public'    => trans_url('test/'.$nothing->getPublicKey()),
                'user'      => guard_url('test/nothing/'.$nothing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$nothing->status),
            'created_at'        => format_date($nothing->created_at),
            'updated_at'        => format_date($nothing->updated_at),
        ];
    }
}